package com.infoepoch.pms.agent.platform.chatbot.domain.irepository;

import com.infoepoch.pms.agent.common.utils.AbstractCriteria;

/**
 * @author jiangyz
 * @date 2026/4/18 13:14
 * 聊天机器人与智能体关联表查询条件类
 */
public class ChatbotAgentsCriteria extends AbstractCriteria {

    //region 聊天机器人主键
    public boolean byChatBotId() {
        return this.andMap.containsKey("ChatBotId");
    }

    private String chatBotId;

    public String getChatBotId() {
        if (byChatBotId())
            return chatBotId;
        return null;
    }

    public void setChatBotId(String value) {
        this.chatBotId = value;
        this.andMap.put("ChatBotId", value);
    }
    //endregion

    //region 关联的智能体主键
    public boolean byAgentId() {
        return this.andMap.containsKey("AgentId");
    }

    private String agentId;

    public String getAgentId() {
        if (byAgentId())
            return agentId;
        return null;
    }

    public void setAgentId(String value) {
        this.agentId = value;
        this.andMap.put("AgentId", value);
    }
    //endregion

}